Closed Bug 955196 Opened 9 years ago Closed 9 years ago

Drop ForwardProtocolPrototype

Categories

(Chat Core :: General, defect)

x86
Other
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: clokep)

Details

Attachments

(1 file)

*** Original post on bio 1764 at 2012-11-05 17:01:00 UTC ***

Now that gtalk/facebook are above JS-XMPP, we don't have a single use case for it anymore and each time I lxr something in jsProtoHelper I have 2 results, that's annoying, so I would be in favor of removing that dead code.

Thoughts?
*** Original post on bio 1764 at 2012-11-05 19:43:37 UTC ***

Do we even need protocol overrides at all anymore? (Probably, but I'm throwing it out there...)
*** Original post on bio 1764 at 2012-11-05 19:53:07 UTC ***

(In reply to comment #1)
> Do we even need protocol overrides at all anymore?

This is the question I was asking. ForwardProtocolPrototype is the implementation of protocol overrides.
*** Original post on bio 1764 as attmnt 2073 at 2012-11-08 19:37:00 UTC ***

For after 1.3, I assume.
Attachment #8353833 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8353833 [details] [diff] [review]
Remove ForwardProtocolPrototype and related code

*** Original change on bio 1764 attmnt 2073 at 2012-11-08 20:02:28 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353833 - Flags: review?(florian) → review+
*** Original post on bio 1764 at 2012-11-09 00:43:08 UTC ***

Apparently for 1.3. ;-) http://hg.instantbird.org/instantbird/rev/662d3d044cc9
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.3
You need to log in before you can comment on or make changes to this bug.